using System;

namespace drugi_krug
{
    class Program
    {
        static void Main(string[] args)
        {
            int n;
            double max = 0;
            n = Convert.ToInt32(Console.ReadLine());
            int[] a = new int[n];
            double[] p = new double[n];
            double[] zbir = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = Convert.ToInt32(s[0]);
                p[i] = Convert.ToDouble(s[1]);
            }
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    if (p[i] <= p[j])
                    {
                        zbir[i] += a[j] * (p[i] / 100);
                    }
                }
            }
            for (int i = 0; i < n; i++)
            {
                max = Math.Max(max, zbir[i]);
            }
            Console.WriteLine(max);
        }
    }
}